#2034 closed defect (fixed)

sprbtree01: predecessor/successor imprecision

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The tests for the rtems_rbtree_predecessor/successor check for a range of values for the target id of the predecessor/successor when in fact we know the exact expected value. Attached patch makes the test more precise.

Attachments (1)

rtems-git.patch (863 bytes) - added by Gedare Bloom on Mar 4, 2012 at 12:44:48 PM.
Patch fixing imprecision.

Download all attachments as: .zip

Change History (5)

Changed on Mar 4, 2012 at 12:44:48 PM by Gedare Bloom

Attachment: rtems-git.patch added

Patch fixing imprecision.

comment:1 Changed on Mar 4, 2012 at 12:45:16 PM by Gedare Bloom

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:2 Changed on Mar 4, 2012 at 12:52:01 PM by Gedare Bloom

Resolution: fixed
Status: newclosed

Fix applied.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.